SdFat: SdSpiConfig Class Reference

SdFat

Public Member Functions | Public Attributes | List of all members
SdSpiConfig Class Reference

SPI card configuration. More...

`#include <SdSpiDriver.h>`

## Public Member Functions
| SdSpiConfig (SdCsPin_t cs)
| SdSpiConfig (SdCsPin_t cs, uint8_t opt)
| SdSpiConfig (SdCsPin_t cs, uint8_t opt, uint32_t maxSpeed)
| SdSpiConfig (SdCsPin_t cs, uint8_t opt, uint32_t maxSpeed, SpiPort_t *port)

## Public Attributes
const SdCsPin_t | csPin
const uint32_t | maxSck = (1000000UL*( 50 ))
const uint8_t | options = 0
SpiPort_t * | spiPort = NULL

## Detailed Description

SPI card configuration.

## Constructor & Destructor Documentation

## ◆ SdSpiConfig() [1/4]

SdSpiConfig::SdSpiConfig | ( | SdCsPin_t | cs,
|  | uint8_t | opt,
|  | uint32_t | maxSpeed,
|  | SpiPort_t * | port
| ) |  |
| inline

SdSpiConfig constructor.

Parameters

  [in] | cs | Chip select pin.
  [in] | opt | Options.
  [in] | maxSpeed | Maximum SCK frequency.
  [in] | port | The SPI port to use.

## ◆ SdSpiConfig() [2/4]

SdSpiConfig::SdSpiConfig | ( | SdCsPin_t | cs,
|  | uint8_t | opt,
|  | uint32_t | maxSpeed
| ) |  |
| inline

SdSpiConfig constructor.

Parameters

  [in] | cs | Chip select pin.
  [in] | opt | Options.
  [in] | maxSpeed | Maximum SCK frequency.

## ◆ SdSpiConfig() [3/4]

SdSpiConfig::SdSpiConfig | ( | SdCsPin_t | cs,
|  | uint8_t | opt
| ) |  |
| inline

SdSpiConfig constructor.

Parameters

  [in] | cs | Chip select pin.
  [in] | opt | Options.

## ◆ SdSpiConfig() [4/4]

SdSpiConfig::SdSpiConfig | ( | SdCsPin_t | cs | ) |
| inlineexplicit

SdSpiConfig constructor.

Parameters

  [in] | cs | Chip select pin.

## Member Data Documentation

## ◆ csPin

const SdCsPin_t SdSpiConfig::csPin

Chip select pin.

## ◆ maxSck

const uint32_t SdSpiConfig::maxSck = (1000000UL*( 50 ))

Max SCK frequency

## ◆ options

const uint8_t SdSpiConfig::options = 0

Options

## ◆ spiPort

SpiPort_t* SdSpiConfig::spiPort = NULL

SPI port

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SpiDriver/SdSpiDriver.h